package com.palmnest.model.estateserve;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * ScReplykeywords entity.
 *
 * @author MyEclipse Persistence Tools
 */
@Entity
//@org.hibernate.annotations.Entity(dynamicInsert=true,dynamicUpdate=true)
@Table(name = "tb_replykeywords")
public class Replykeywords implements java.io.Serializable {

	// Fields

	private Integer replyKeywordsId;
	private String  developId;
	private String  name;
	private String  remark;
	private String  state;
	private Date    createTime;
	private String  replyContentType;
	private String  createPerson;
	// Constructors

	/**
	 * default constructor
	 */
	public Replykeywords() {
	}

	/**
	 * minimal constructor
	 */
	public Replykeywords(Integer replyKeywordsId) {
		this.replyKeywordsId = replyKeywordsId;
	}

	/**
	 * full constructor
	 */
	public Replykeywords(Integer replyKeywordsId, String developId,
						 String name, String remark, String state, Date createTime,
						 String replyContentType) {
		this.replyKeywordsId = replyKeywordsId;
		this.developId = developId;
		this.name = name;
		this.remark = remark;
		this.state = state;
		this.createTime = createTime;
		this.replyContentType = replyContentType;
	}

	// Property accessors
	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name = "ReplyKeywordsId", unique = true, nullable = false)
	public Integer getReplyKeywordsId() {
		return this.replyKeywordsId;
	}

	public void setReplyKeywordsId(Integer replyKeywordsId) {
		this.replyKeywordsId = replyKeywordsId;
	}

	@Column(name = "DevelopId")
	public String getDevelopId() {
		return this.developId;
	}

	public void setDevelopId(String developId) {
		this.developId = developId;
	}

	@Column(name = "Name", length = 45)
	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Column(name = "Remark", length = 128)
	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	@Column(name = "State", length = 1)
	public String getState() {
		return this.state;
	}

	public void setState(String state) {
		this.state = state;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "CreateTime", length = 19)
	public Date getCreateTime() {
		return this.createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	@Column(name = "ReplyContentType", length = 1)
	public String getReplyContentType() {
		return this.replyContentType;
	}

	public void setReplyContentType(String replyContentType) {
		this.replyContentType = replyContentType;
	}

	public String getCreatePerson() {
		return createPerson;
	}

	@Column(name = "CreatePerson", length = 45)
	public void setCreatePerson(String createPerson) {
		this.createPerson = createPerson;
	}

}